SDL_HINT_AUDIO_ALSA_DEFAULT_PLAYBACK_DEVICE(3)

NAME
SDL_HINT_AUDIO_ALSA_DEFAULT_PLAYBACK_DEVICE - Specify the default ALSA audio playback device name.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_AUDIO_ALSA_DEFAULT_PLAYBACK_DEVICE "SDL_AUDIO_ALSA_DEFAULT_PLAYBACK_DEVICE"

DESCRIPTION
This variable is a specific audio device to open for playback, when the "default" audio device is used.

If this hint isn't set, SDL will check SDL_HINT_AUDIO_ALSA_DEFAULT_DEVICE before choosing a reasonable default.

This hint should be set before an audio device is opened.

AVAILABILITY
This hint is available since SDL 3.2.0.

SEE ALSO
SDL_HINT_AUDIO_ALSA_DEFAULT_RECORDING_DEVICE(3), SDL_HINT_AUDIO_ALSA_DEFAULT_DEVICE(3)